## imdi/greytiff

### Summary

Convert a TIFF file to monochrome colorimetrically, using an ICC device profile.

### Usage

greytiff [-options] profile.icm infile.tif outfile.tif
-v Verbose
-p Use slow precise floating point conversion, rather than fast integer routines.
-j Use CIECAM02 space for removing color, rather than default L*a*b* space.
profile.icm Profile to define the colorspace of the TIFF Raster file.
infile.tif A TIFF Raster file that will be the input raster to be transformed.
outfile.tif A TIFF Raster file created from the input raster, that will have had the color removed.
Examples
greytiff sRGB.icm infile.tif outfile.tif

### Comments

The -v flag reports extra information about the ICC profile.
The -p option is intended to aid debugging.
The -j option uses CIECAM02 colorspace to remove the color in. This may produce better subjective results for images with highly chromatic colors.
The second last argument should be the name of the TIFF file that is to be processed.
The last argument should be the name of the TIFF file to hold the results.